<?php

namespace Litecms\Comapnydatum\Repositories\Eloquent;

use Litecms\Comapnydatum\Interfaces\CompanyDataRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CompanyDataRepository extends BaseRepository implements CompanyDataRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.comapnydatum.company_data.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.comapnydatum.company_data.model.model');
    }
}
